# API Docs

{% hint style="info" %}
The base API URL for all endpoints is <https://api.truthordarebot.xyz/v1/>
{% endhint %}

{% hint style="warning" %}
The global rate limit for all API requests is 5/5s
{% endhint %}

## Get Truth

<mark style="color:blue;">`GET`</mark> `https://api.truthordarebot.xyz/v1/truth`

This endpoint returns a truth question. R rating is disabled by default unless you specify it in the rating query.

#### Query Parameters

| Name   | Type   | Description                                                                                                              |
| ------ | ------ | ------------------------------------------------------------------------------------------------------------------------ |
| rating | string | The rating of the question. Must be "pg", "pg13" or "r". You can use this query multiple times to get different ratings. |

{% tabs %}
{% tab title="200 " %}

```
{
  "id": "ku9abgpj6u59",
  "type": "TRUTH",
  "rating": "PG13",
  "question": "Would you break up with someone over text?"
}
```

{% endtab %}
{% endtabs %}

## Get Dare

<mark style="color:blue;">`GET`</mark> `https://api.truthordarebot.xyz/api/dare`

This endpoint returns a dare question. R rating is disabled by default unless you specify it in the rating query.

#### Query Parameters

| Name   | Type   | Description                                                                                                              |
| ------ | ------ | ------------------------------------------------------------------------------------------------------------------------ |
| rating | string | The rating of the question. Must be "pg", "pg13" or "r". You can use this query multiple times to get different ratings. |

{% tabs %}
{% tab title="200 " %}

```
{
  "id": "ku9abgpjs933",
  "type": "DARE",
  "rating": "PG13",
  "question": "Rate everyone here 1-10 in terms of looks."
}
```

{% endtab %}
{% endtabs %}

## Get Would You Rather

<mark style="color:blue;">`GET`</mark> `https://api.truthordarebot.xyz/api/wyr`

This endpoint returns a would you rather question. R rating is disabled by default unless you specify it in the rating query.

#### Path Parameters

| Name   | Type   | Description                                                                                                              |
| ------ | ------ | ------------------------------------------------------------------------------------------------------------------------ |
| rating | string | The rating of the question. Must be "pg", "pg13" or "r". You can use this query multiple times to get different ratings. |

{% tabs %}
{% tab title="200 " %}

```
{
  "id": "ku9abgpkd2mo",
  "type": "WYR",
  "rating": "PG13",
  "question": "Would you rather be unhappily single OR unhappily married?"
}
```

{% endtab %}
{% endtabs %}

## Get Never Have I Ever

<mark style="color:blue;">`GET`</mark> `https://api.truthordarebot.xyz/api/nhie`

This endpoint returns a would you rather question. R rating is disabled by default unless you specify it in the rating query.

#### Path Parameters

| Name   | Type   | Description                                                                                                              |
| ------ | ------ | ------------------------------------------------------------------------------------------------------------------------ |
| rating | string | The rating of the question. Must be "pg", "pg13" or "r". You can use this query multiple times to get different ratings. |

{% tabs %}
{% tab title="200 " %}

```
{
  "id": "ku9abgpk74r5",
  "type": "NHIE",
  "rating": "PG13",
  "question": "Never have I ever dated someone in this server."
}
```

{% endtab %}
{% endtabs %}

## Get Paranoia Question

<mark style="color:blue;">`GET`</mark> `https://api.truthordarebot.xyz/api/paranoia`

This endpoint returns a paranoia question. R rating is disabled by default unless you specify it in the rating query.

#### Path Parameters

| Name   | Type   | Description                                                                                                              |
| ------ | ------ | ------------------------------------------------------------------------------------------------------------------------ |
| rating | string | The rating of the question. Must be "pg", "pg13" or "r". You can use this query multiple times to get different ratings. |

{% tabs %}
{% tab title="200 " %}

```
{
  "id": "ku9abgpk00fs",
  "type": "PARANOIA",
  "rating": "PG13",
  "question": "Who's most likely to move to stay with a partner?"
}
```

{% endtab %}
{% endtabs %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.truthordarebot.xyz/api-docs.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
